#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)

%if "%{_alt_kernel}" != "%{nil}"
%if 0%{?build_kernels:1}
%{error:alt_kernel and build_kernels are mutually exclusive}
exit 1
%endif
%global		_build_kernels		%{alt_kernel}
%else
%global		_build_kernels		%{?build_kernels:,%{?build_kernels}}
%endif

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		kbrs	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo "BuildRequires:kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2" ; done)
%define		kpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%kernel_pkg ; done)
%define		bkpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%build_kernel_pkg ; done)

%define		rel	65
%define		pname	linuxrdac
Summary:	RDAC Multi-Path Proxy Driver for Linux
Name:		%{pname}%{_alt_kernel}
Version:	09.03.0C06.0452.2
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPLv2
Group:		Base/Kernel
Source0:	linuxrdac-%{version}-mktarball.dkms.tgz
# Source0-md5:	da1dadb0d8ac09661bb407386a212a82
Patch0:		linuxrdac-linux-2.6.39.patch
Patch1:		linuxrdac-linux-3.4.patch
Patch2:		linuxrdac-linux-3.7.patch
#URL:		-
BuildRequires:	rpmbuild(macros) >= 1.678
%{?with_dist_kernel:%{expand:%kbrs}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RDAC Multi-Path Proxy Driver for Linux.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-scsi-mpprdac\
Summary:	RDAC Multi-Path Proxy Driver for Linux\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
\
%description -n kernel%{_alt_kernel}-scsi-mpprdac\
RDAC Multi-Path Proxy Driver for Linux.\
\
%files -n kernel%{_alt_kernel}-scsi-mpprdac\
%defattr(644,root,root,755)\
%doc Readme.txt\
/lib/modules/%{_kernel_ver}/kernel/drivers/scsi/*.ko*\
\
%post -n kernel%{_alt_kernel}-scsi-mpprdac\
%depmod %{_kernel_ver}\
\
%postun -n kernel%{_alt_kernel}-scsi-mpprdac\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} -j1 KERNEL_OBJ=%{_kernelsrcdir} clean\
%{__make} -j1 KERNEL_OBJ=%{_kernelsrcdir}\
%install_kernel_modules -D installed -m mppVhba,mppUpper -d kernel/drivers/scsi\
%{nil}

%{expand:%kpkg}

%prep
%setup -q -c
mv dkms_source_tree/* .
%patch0 -p1
%patch1 -p2
%patch2 -p1

%build
%{expand:%bkpkg}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Sat Dec 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/linuxrdac.git;a=log;h=auto/th/linuxrdac-09.03.0C06.0452.2-65

* Thu Oct 31 2013 Jan Rękorajski <baggins@pld-linux.org> a617ace
- fix cleaning kernel module build
- rel 65

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 593fd24
- switch to macro driven module build for multiple kernel versions
- rel 64

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> 9900339
- rebuild for kernel-longterm-3.4.65-1
- release 63 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> f135ef1
- rebuild for kernel-longterm-3.4.64-1
- release 62 (by relup.sh)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 45cb140
- rebuild for kernel-longterm-3.4.63-1
- release 61 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> 1f7a5bd
- rebuild for kernel-longterm-3.4.62-1
- release 60 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> a6e455b
- rebuild for kernel-longterm-3.4.61-1
- release 59 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> f114dc9
- rebuild for kernel-longterm-3.4.60-1
- release 58 (by relup.sh)

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> 0bf482b
- rebuild for kernel-longterm-3.4.59-1
- release 57 (by relup.sh)

* Thu Aug 15 2013 Jan Rękorajski <baggins@pld-linux.org> da43d49
- rebuild for kernel-longterm-3.4.58-1
- release 56 (by relup.sh)

* Thu Jul 25 2013 Jan Rękorajski <baggins@pld-linux.org> d0b1e4e
- rebuild for kernel-longterm-3.4.54-1
- release 55 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> a9f26a1
- rebuild for kernel-longterm-3.4.52-1
- release 54 (by relup.sh)

* Thu Jun 27 2013 Jan Rękorajski <baggins@pld-linux.org> 5e75d7e
- rebuild for kernel-longterm-3.4.51-1
- release 53 (by relup.sh)

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> 72840b7
- rebuild for kernel-longterm-3.4.50-1
- release 52 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 98d4aec
- rebuild for kernel-longterm-3.4.49-1
- release 51 (by relup.sh)

* Fri Jun 07 2013 Jan Rękorajski <baggins@pld-linux.org> 684fdb7
- rebuild for kernel-longterm-3.4.48-1 /home/users/baggins/devel/PLD/rpm/packages
- release 50 (by relup.sh)

* Mon Jun 03 2013 Jan Rękorajski <baggins@pld-linux.org> 63c76b7
- rebuild for kernel-3.9.4-3
- release 49 (by relup.sh)

* Fri May 24 2013 Jan Rękorajski <baggins@pld-linux.org> aa2d855
- rebuild for kernel-3.7.10-9
- release 48 (by relup.sh)

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> e432987
- rebuild for kernel-3.7.10-8
- release 47 (by relup.sh)

* Thu May 02 2013 Jan Rękorajski <baggins@pld-linux.org> cae166a
- release 46 (by relup.sh)

